#
# spec file for package cadaver (Version 0.22.3)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libxml2 libxml2-devel libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl openssl-devel pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline readline-devel rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           cadaver
BuildRequires:  libxml2-devel openssl-devel readline-devel
License:        GPL
Group:          Productivity/Networking/Web/Utilities
Autoreqprov:    on
Version:        0.22.3
Release:        13.2
Summary:        Command Line WebDAV Client for Unix
URL:            http://www.webdav.org/cadaver/
Source0:        %{name}-%{version}.tar.bz2
Patch0:         %{name}-%{version}.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Cadaver is a command-line WebDAV client for Unix. It supports file
upload, download, on-screen display, namespace operations (move and
copy), collection creation and deletion, and locking operations.



Authors:
--------
    Joe Orton <joe@manyfish.co.uk>

%debug_package
%prep
%setup -q
%patch0

%build
%{suse_update_config -f}
aclocal -I m4 -I m4/neon
autoconf --force
autoheader --force
LDFLAGS=-pie CFLAGS="$RPM_OPT_FLAGS -fpie -Wall" \
	./configure \
	--prefix=%{_prefix} \
	--bindir=%{_bindir} \
	--mandir=%{_mandir} \
	--infodir=%{_infodir} \
	--with-ssl \
	--with-libxml2 
make

%install
make "DESTDIR=$RPM_BUILD_ROOT" install
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc BUGS COPYING ChangeLog FAQ INTEROP NEWS README THANKS TODO
%doc %{_mandir}/man?/*
%{_bindir}/*

%changelog -n cadaver
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jan 12 2006 - mjancar@suse.cz
- update to 0.22.3
* Mon Jun 20 2005 - ro@suse.de
- build as pie
* Tue Jun 08 2004 - mjancar@suse.cz
- update to 0.22.2
  * fix security problem in libneon (#41725)
* Thu Feb 26 2004 - mjancar@suse.cz
- update to 0.22.0
* Thu Nov 06 2003 - schwab@suse.de
- Fix quoting in configure script.
* Thu Jul 24 2003 - mjancar@suse.cz
- update to 0.21.0
* Thu Oct 10 2002 - prehak@suse.cz
- update to version 0.20.5
* Sun Aug 04 2002 - vinil@suse.cz
- readline added to neededforbuild
* Mon Jul 15 2002 - poeml@suse.de
- allow build on SuSE Linux 7.3 and 8.0
* Fri Jul 12 2002 - prehak@suse.cz
- initial version 0.19.1
- used AC_LIBOBJ macro instead of directly modifying LIBOBJS
  in configure.in (created cadaver.dif)
- fixed install paths in Makefile.in
- build with OpenSSL support
